View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18602Bug reportsSurvey participants (Tokens)public2023-01-31 20:22
Reportergabrieljenik Assigned To 
PrioritynoneSeverityminor 
Status confirmedResolutionopen 
Product Version5.4.x 
Summary18602: When surveys are copied without copying attachments, attachment info is copied but not updated.
Description

Remove the attachments, but show an additional message in the result screen if that happened.

Steps To Reproduce

Identified while reviewing 18557

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.4.15+221212
I will donate to the project if issue is resolvedNo
Browser
Database type & versionmariadb 10.5.16
Server OS (if known)Linux Gentoo
Webserver software & version (if known)
PHP Version7.4.33

Relationships

related to 18557 ready for testing Email Template Attachments appear to carry over with copied survey, but do not work 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2023-01-25 14:02

manager   ~73559

Should we remove the attachments info when not copying resources?

In the image select question, when not copying, the broken link remains.
When linking a file in the welcome message and not copying the message, the broken link remains.
So, should we clear the attachments for emails?

What if we:

  • Add a warning on the email screens saying some attachments are not valid.
  • Highlight or mark the attachments which are not valid.
  • Add a message when copying saying some attachments are not valid anymore as resources where not copied.

As for the possible broken links on image selects or other texts in the survey:

  • Add a message when copying saying some links should be reviewed as resources where not copied.
    (For another ticket).

Still, right now, non valid attachments are not attached, so, keeping the non valid attachments doesn't harm.

Not sure if this is worth of tacling this at this time.

c_schmitz

c_schmitz

2023-01-25 15:13

administrator   ~73562

These suggestions sound fine to me.

Issue History

Date Modified Username Field Change
2023-01-23 13:54 gabrieljenik New Issue
2023-01-23 13:54 gabrieljenik Issue generated from: 18557
2023-01-23 13:54 gabrieljenik Relationship added related to 18557
2023-01-23 13:55 gabrieljenik Assigned To => gabrieljenik
2023-01-23 13:55 gabrieljenik Status new => confirmed
2023-01-25 14:02 gabrieljenik Note Added: 73559
2023-01-25 14:02 gabrieljenik Bug heat 0 => 2
2023-01-25 15:13 c_schmitz Note Added: 73562
2023-01-25 15:13 c_schmitz Bug heat 2 => 4
2023-01-27 13:32 gabrieljenik Status confirmed => assigned
2023-01-27 13:33 gabrieljenik Assigned To gabrieljenik =>
2023-01-27 13:33 gabrieljenik Status assigned => confirmed
2023-01-31 20:08 gabrieljenik Summary Email Template Attachments appear to carry over with copied survey, but do not work => When surveys are copied without copying attachments, attachment info is copied but not updated.
2023-01-31 20:08 gabrieljenik Description Updated
2023-01-31 20:10 gabrieljenik Issue cloned: 18610
2023-01-31 20:14 gabrieljenik Issue cloned: 18611
2023-01-31 20:22 gabrieljenik Issue cloned: 18612